<!-- 空布局 license by http://eleadmin.com -->
<template>
  <router-view #default="{Component}">
    <keep-alive :include="include" :exclude="exclude">
      <component :is="Component"/>
    </keep-alive>
  </router-view>
</template>

<script>
import {computed} from 'vue'
import {useStore} from 'vuex';

export default {
  name: 'EleEmptyLayout',
  setup() {
    const {state} = useStore();
    const include = computed(() => state.theme.keepAliveInclude);
    const exclude = computed(() => state.theme.keepAliveExclude);
    return {
      include,
      exclude
    };
  }
}
</script>
